Bug 51911

Summary: [PATCH] CCITTFax T.4 Group3 1D image encoding issue
Product: XMLGraphicsCommons - Now in Jira Reporter: Mehdi Houshmand <med1985>
Component: image codecsAssignee: XML Graphics Project Mailing List <general>
Status: CLOSED FIXED    
Severity: normal    
Priority: P2    
Version: Trunk   
Target Milestone: --   
Hardware: PC   
OS: Linux   
Attachments: Allows T.4 Group 3 1D encoding
The TIFF header to be used in the test

Description Mehdi Houshmand 2011-09-28 12:40:41 UTC
Created attachment 27625 [details]
Allows T.4 Group 3 1D encoding

Previously when CCITTFax Group 3 1D images were analysed, it presumed T.3 Group 3 images were all 2D encoded. This patch allows for 1D encoding by checking the T.4 options in the header to check for 1D or 2D encoding. (Crystal clear!) Test included, the binary file necessary to test will be attached also. 

This work is a collaboration between myself and Jeremias (he did all the hard work, I created the test and claimed the glory.)
Comment 1 Mehdi Houshmand 2011-09-28 12:41:41 UTC
Created attachment 27626 [details]
The TIFF header to be used in the test

This file should be put in test/images/
Comment 2 Glenn Adams 2012-04-10 19:36:48 UTC
mehdi, any chance you can commit this?
Comment 3 Mehdi Houshmand 2012-04-11 07:41:41 UTC
This patch has already been applied to r1177544.